# Ansible workstation

Ansible script to deploy my workstation with a ansible-pull.


## Automatic install

Before call ansible-pull, git and ansible are required

    apt-get install git ansible
    pacman install git ansible

Installing Choux

    # Need aur module for some tasks
    git clone https://github.com/kewlfft/ansible-aur.git ~/.ansible/plugins/modules/aur
    ansible-pull -U https://git.opytex.org/lafrite/Ansible_workstation.git Choux.yml

Depuis peu, il y a un bug entre pacman et ansible:

    LC_ALL=C ansible-pull -U https://git.opytex.org/lafrite/Ansible_workstation.git --vault-id @prompt Choux.yml

Il y a un soucis avec le rôle users. Si on le joue plusieurs fois, ils n'apparaissent plus dans GDM. Donc au premier lancement, il faut ajouter

    --extra-vars "create_user=True"

### On Debian

After running the script, there is a bug with $TERM which makes BACKSPACE and TAB to have strange behavior. To solve it, from an other computer run:

    infocmp -x | ssh -t root@remote-host 'cat > "$TERM.info" && tic -x "$TERM.info"'


## By hand for Choux

- Install vim plugin
- Copy PrivateKeys
- Copy PGP keys
- Clone password-store repository to .password-store

